TestChildprocess Struct Reference

`#include <childprocess.test.h>`

## Public Member Functions

Test | kill ()
Test | output ()
Test | redirect ()
Test | shellCommand ()
Test | inout ()

## Member Function Documentation

Test TestChildprocess::inout | ( |  | ) |

inline

References assert_eq, wibble::sys::ChildProcess::forkAndRedirect(), wibble::sys::Exec::searchInPath, suckFd(), and wibble::sys::ChildProcess::wait().

Test TestChildprocess::kill | ( |  | ) |

inline

References assert, assert_eq, wibble::sys::ChildProcess::fork(), wibble::sys::ChildProcess::kill(), and wibble::sys::ChildProcess::wait().

Test TestChildprocess::output | ( |  | ) |

inline

References assert, assert_eq, wibble::sys::ChildProcess::forkAndRedirect(), suckFd(), and wibble::sys::ChildProcess::wait().

Test TestChildprocess::redirect | ( |  | ) |

inline

References wibble::sys::Exec::args, assert, assert_eq, wibble::sys::ChildProcess::forkAndRedirect(), wibble::sys::Exec::searchInPath, suckFd(), and wibble::sys::ChildProcess::wait().

Test TestChildprocess::shellCommand | ( |  | ) |

inline

References assert, assert_eq, wibble::sys::ChildProcess::forkAndRedirect(), suckFd(), and wibble::sys::ChildProcess::wait().

The documentation for this struct was generated from the following file:

- childprocess.test.h